* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    outline: none;
    list-style: none;
}

body,
html {
    height: 100%;
}

body {
    color: #222222;
    background-color: #111111;
    font-size: 16px;
    position: relative;
    padding: 50px;
    font-family: "Anton", sans-serif;
    font-family: "Jost", sans-serif;
}

input[type=text],
input[type=email] {
    border: 1px solid #222;
    background-color: transparent;
    font-family: "Jost", sans-serif;
    padding: 10px 15px;
    width: 100%;
}

textarea {
    border: 1px solid #222;
    background-color: transparent;
    font-family: "Jost", sans-serif;
    padding: 10px 15px;
    width: 100%;
}

button[type=submit] {
    font-family: "Jost", sans-serif;
    padding: 10px 20px;
    border: 1px solid #222;
    background-color: transparent;
    color: #222;
    font-size: 16px;
    text-transform: uppercase;
    font-weight: 400;
    cursor: pointer;
}

button[type=submit]:hover {
    background-color: #222;
    color: #fff;
}

::-ms-input-placeholder {
    /* Edge 12-18 */
    font-size: 16px;
}

::placeholder {
    font-size: 16px;
}

img {
    max-width: 100%;
}

.mb-0 {
    margin-bottom: 50px;
}

.mb-75 {
    margin-bottom: 75px;
}

.mt-75 {
    margin-top: 75px;
}

/* Define the styles for the scrollbar */
/* Firefox */
* {
    scrollbar-width: thin;
    /* Width of the scrollbar */
    scrollbar-color: #222 aliceblue;
    /* Color of the scrollbar handle and track */
}

/* Track (the area behind the scrollbar) */
*::-webkit-scrollbar-track {
    background: aliceblue;
    /* Color of the track */
}

/* Handle (the draggable part of the scrollbar) */
*::-webkit-scrollbar-thumb {
    background: #222;
    /* Color of the scrollbar handle */
}

/* Handle on hover */
*::-webkit-scrollbar-thumb:hover {
    background: #222;
    /* Color of the scrollbar handle on hover */
}

.main-wrapper {
    display: grid;
    grid-template-columns: 20% auto;
    height: 100%;
    grid-gap: 30px;
}

.main-wrapper .wrapper-left {
    overflow: hidden;
    background-color: #000;
    background-image: url(../images/profile.webp);
    background-repeat: no-repeat;
    background-size: auto 100%;
    background-position: center;
}

.main-wrapper .wrapper-right {
    position: relative;
    overflow: hidden;
    padding-right: 100px;
}

.main-wrapper .wrapper-right .main {
    height: 100%;
    width: 100%;
    overflow: hidden;
}

.container-link {
    position: absolute;
    right: 0;
    top: 0;
}

.container-link li {
    display: flex;
    margin-right: 0;
    margin-bottom: -2px;
}

.container-link li a {
    text-decoration: none;
    color: #000;
    cursor: pointer;
    width: 70px;
    height: 70px;
    border: 2px solid aliceblue;
    display: flex;
}

.container-link li a.active {
    background-color: #000;
}

.container-link li a img {
    max-width: 24px;
    margin: auto;
}

.container {
    width: 500%;
    display: flex;
    transition: transform 0.5s ease;
    height: 100%;
}

.container>div {
    width: 20%;
    background-color: aliceblue;
    overflow-y: auto;
    padding: 50px;
}

.container>div h2 {
    font-size: 40px;
    font-family: "Anton", sans-serif;
    text-transform: uppercase;
    line-height: 40px;
    margin-bottom: 47px;
}

.container>div h3 {
    font-size: 24px;
    font-family: "Jost", sans-serif;
    text-transform: uppercase;
    line-height: 24px;
    margin-bottom: 20px;
    font-weight: 400;
}

.container>div>p {
    font-family: "Jost", sans-serif;
    font-size: 16px;
    line-height: 22px;
    margin-bottom: 20px;
}

.container>div p:last-child {
    margin-bottom: 0;
}

/******* Home page *******/
.intro {
    display: flex;
    align-items: center;
    height: 100%;
    flex-direction: column;
    justify-content: center;
}

.intro h1 {
    font-size: 48px;
    font-family: "Anton", sans-serif;
    text-transform: uppercase;
}

.intro p {
    font-size: 24px;
    font-weight: 300;
    text-transform: uppercase;
    color: #000;
}

/******* About page *******/
.aboutMe .about-details {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1px;
}

.aboutMe .about-details li {
    background-color: #222222;
    padding: 12px 15px;
    color: aliceblue;
    font-size: 16px;
    font-weight: 400;
    line-height: 16px;
}

.aboutMe .about-details li span {
    color: #fff;
    font-weight: 300;
}

.aboutMe .about-details li a {
    color: #fff;
    text-decoration: none;
    font-weight: 300;
}

/*** My Services ***/
.services-list {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 20px;
    text-align: left;
}

.services-list span {
    background-color: #222;
    display: flex;
    align-items: center;
    height: 80px;
    justify-content: center;
    width: 80px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 10px;
}

.services-list img {
    margin: 0;
}

.services-list h4 {
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 500;
    margin-top: 10px;
    margin-bottom: 5px;
}

/******* Skill Page *******/
.circle-progress {
    width: 100px;
    height: 100px;
    position: relative;
    display: inline-block;
}

.circle-progress .progress-ring {
    fill: none;
    stroke: #222;
    stroke-width: 4;
    stroke-linecap: round;
    transform: rotate(-90deg);
    /* Start from top */
    transform-origin: 50% 50%;
    /* Center the rotation */
}

.circle-progress .progress-ring-background {
    fill: none;
    stroke: #f0f0f0;
    stroke-width: 4;
}

.circle-progress .progress-text {
    font-size: 24px;
    fill: #222;
    text-anchor: middle;
    font-family: "Jost", sans-serif;
}

/*** Skill ***/
.skill-level {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    text-align: center;
    grid-gap: 20px;
}

.skill-level h4 {
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 500;
    margin-top: 10px;
    margin-bottom: 0;
}

.skill-level p {
    font-size: 14px;
}

/*** Knowledge ***/
.knowledge {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1px;
}

.knowledge li {
    font-size: 16px;
    padding: 6px 12px;
    background-color: #222;
    color: #fff;
    text-transform: capitalize;
}

/*** Education ***/
.education {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
}

.education li {
    border: 1px solid #222;
    padding: 45px 20px 20px 20px;
    position: relative;
}

.education li .year {
    position: absolute;
    background-color: #222;
    color: #fff;
    top: 0;
    left: 20px;
    font-size: 12px;
    padding: 5px 10px;
    font-weight: 300;
}

.education h5 {
    font-size: 16px;
    text-transform: uppercase;
    font-weight: 600;
    margin-bottom: 10px;
    line-height: 16px;
}

.education h5 span {
    display: block;
    font-size: 14px;
    text-transform: none;
    font-weight: 400;
    margin-top: 3px;
}

.education.educationList h5 {
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 0;
    margin-bottom: 10px;
    line-height: 18px;
}

.education.educationList h5 span {
    display: block;
    font-size: 14px;
    text-transform: none;
    font-weight: 400;
    margin-top: 3px;
}

/** Portfolio Gallery Filter **/
.gallery-filter {
    float: left;
    width: 100%;
    margin-bottom: 25px;
}

.gallery-filter li {
    float: left;
    margin-right: -2px;
}

.gallery-filter li button {
    font-family: "Jost", sans-serif;
    box-shadow: none;
    border: 2px solid #222;
    padding: 10px 30px;
    background-color: transparent;
    font-size: 14px;
    font-weight: 400;
    cursor: pointer;
}

.gallery-filter li button.active {
    background-color: #222;
    color: #fff;
}

/** Portfolio Gallery **/
.gallery {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 25px;
    clear: both;
}

.gallery-image {
    cursor: pointer;
    width: 100%;
    /* background-color: white;
    text-align: center; */
    border: 2px solid #000;
}

.gallery-image img {
    margin: auto;
    display: block;
    width: 100%;
    height: auto;
}

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
    margin: auto;
    display: block;
    max-width: 80%;
    max-height: 80%;
}

.modal-box {
    height: 100%;
    display: flex;
}

.close {
    color: #222;
    float: right;
    font-size: 28px;
    font-weight: 500;
    cursor: pointer;
    position: absolute;
    background-color: aliceblue;
    width: 50px;
    height: 50px;
    text-align: center;
    display: flex;
    justify-content: center;
    right: 0;
    top: 0px;
}

.close:hover,
.close:focus {
    color: #222;
    text-decoration: none;
    cursor: pointer;
    background-color: #fff;
}

.portfolio {
    padding: 50px;
}

/*** Contact Me ***/
.get-touch {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
}

.get-touch li {
    padding: 20px;
    background-color: #222;
}

.get-touch li h6 {
    text-transform: uppercase;
    font-size: 16px;
    margin-bottom: 10px;
    color: #fff;
    margin-top: 5px;
}

.get-touch li p {
    font-size: 14px;
    color: #fff;
}
.get-touch li a {
    color: #fff;
    text-decoration: none;
    font-weight: 300;
}

.form ul {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 20px;
}

.form ul li:nth-child(3),
.grid-list li:nth-child(4) {
    grid-column: span 2;
}

/*** Google Map ***/
iframe.map {
    border: none;
    width: 100%;
}

.gameName{
    background-color: #222222;
    padding: 12px 15px;
    color: aliceblue;
    font-size: 16px;
    font-weight: 400;
    line-height: 16px;
    width: 100%;
    display: block;
    min-height: 56px;
    align-content: center;
}

.portfolio_a{
    text-decoration:none
}

/*** Start Responsive ***/
@media (max-width: 1399.98px) {
    body {
        padding: 30px;
    }
    .main-wrapper{
        grid-template-columns: 25% auto;
    }
}
@media (max-width: 1199.98px) {
    .intro h1{
        font-size: 38px;
        line-height: 42px;
    }
    .intro p{
        font-size: 18px;
    }
    .aboutMe .about-details{
        grid-template-columns: 1fr;
    }
    .services-list{
        grid-template-columns: 1fr 1fr;
    }
    .skill-level{
        grid-template-columns: 1fr 1fr;
    }
    .knowledge{
        grid-template-columns: 1fr 1fr;
    }
    .education{
        grid-template-columns: 1fr;
    }
    .gallery{
        grid-template-columns: 1fr;
    }
    .get-touch{
        grid-template-columns: 1fr;
    }
}
@media (max-width: 991.98px) {
    body{
        padding: 0;
    }
    .main-wrapper{
        grid-template-columns: 1fr;
    }
    .main-wrapper .wrapper-left{
        display: none;
    }
    .main-wrapper .wrapper-right{
        padding-right: 0;
        padding-bottom: 72px;
    }
    .container-link{
        right: auto;
        left: 0;
        top: auto;
        bottom: 0;
        z-index: 1;
        display: flex;
        width: 100%;
    }
    .container-link li{
        margin-bottom: auto;
        width: 20%;
    }
    .container-link li a{
        background-color: #222;
        width: 100%;
        border-right: none;
    }
    .container-link li:last-child a{
        border-right: 2px solid aliceblue;
    }
    .mobile-bg{
        background-image: url(../images/profile.webp);
        background-repeat: no-repeat;
        background-size: cover;
        position: relative;
        background-position: top center;
    }
    .mobile-bg::after{
        content: "";
        position: absolute;
        background-color:rgb(0, 255, 255, 0.3);
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
    }
    .intro{
        position: relative;
        z-index: 1;
    }
}
@media (max-width: 767.98px) {
    .gallery-filter{
        display: grid;
    }
    .gallery-filter li{
        margin-right: 0;
        margin-bottom: -2px;
    }
    .gallery-filter li button{
        width: 100%;
        font-size: 16px;
    }
    .services-list{
        grid-template-columns: 1fr;
    }
    .knowledge{
        grid-template-columns: 1fr;
    }
    .form ul{
        grid-template-columns: 1fr;
    }
    .form ul li:nth-child(3), 
    .grid-list li:nth-child(4){
        grid-column: span 1;
    }
}
.portfolio_img{
    min-height: 269px;
    background-color: #fff;
}